const { DataTypes } = require('sequelize');
const { sequelize } = require('../config/db');

const PetGroup = sequelize.define('PetGroup', {
  id: {
    type: DataTypes.INTEGER,
    autoIncrement: true,
    primaryKey: true,
  },
  name: {
    type: DataTypes.STRING,
    allowNull: false,
    unique: true,
    comment: 'e.g., 포유류, 파충류',
  },
}, {
  timestamps: false,
});

module.exports = PetGroup;
